%define Werror_cflags %nil

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

%global libhandy_version 1.5.0

Summary:	Disk management daemon
Name:		gnome-disk-utility
Version:	46.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Configuration
URL:		https://git.gnome.org/cgit/gnome-disk-utility
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	pkgconfig(dvdread) >= 4.2.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.8
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.1
BuildRequires:	pkgconfig(liblzma) >= 5.1.0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libsecret-1) >= 0.7
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(pwquality) >= 1.0.0
BuildRequires:	pkgconfig(udisks2) >= 2.1.1
BuildRequires:	pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires:	gnome-doc-utils
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	locales
Requires:	polkit-agent
Requires:	udisks2 >= 2.1.0
Obsoletes:	palimpsest < 3.0.0

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
export LANG=UTF-8
%meson_install

#fix desktop files
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/gnome-disk-image-mounter.1.*
%{_mandir}/man1/gnome-disks.1.*
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_libexecdir}/gsd-disk-utility-notify
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop


%changelog
* Sat Sep 07 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2093478
- new version 46.1

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050356
- new version 46.0

* Tue Dec 19 2023 papoteur <papoteur> 45.1-2.mga10
+ Revision: 2019486
- Mass Rebuild - Python 3.12

* Thu Dec 07 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2014181
- new version 45.1

* Wed Sep 27 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991358
- Update to 45.0

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953942
- update to 44.0

* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890261
- Update to 43.0

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800435
- Update to 42.0

* Tue Mar 15 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1793557
- Update to 42.rc

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767523
- 41.0

* Sun Jul 11 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1735636
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721522
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709690
- new version 40.0
- new version 3.38.2

* Sun Dec 13 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1656805
- new version 3.38.1

* Thu Sep 10 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624308
- new version 3.38.0

* Mon Jul 20 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1607275
- new version 3.37.2

* Fri May 01 2020 daviddavid <daviddavid> 3.36.1-2.mga8
+ Revision: 1577540
- rebuild for new dvdread 6.1.1

* Sat Mar 21 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1558653
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554168
- new version 3.36.0

* Tue Feb 18 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1538237
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537056
- new version 3.35.91

* Sun Feb 16 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1534469
- new version 3.34.4

* Sun Nov 17 2019 daviddavid <daviddavid> 3.34.0-2.mga8
+ Revision: 1461379
- rebuild for new libdvdread 6.0.2

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438594
- new version 3.34.0

* Tue Sep 03 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436494
- new version 3.33.92

* Sun Aug 18 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1429750
- new version 3.33.91

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427401
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392396
- Rebuild with meson 0.50.1

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386782
- new version 3.32.1

* Sun Mar 10 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373827
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372405
- new version 3.31.92

* Tue Oct 23 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1324492
- new version 3.30.2

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303491
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256598
- new version 3.30.0

* Mon Aug 27 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1254917
- new version 3.29.92

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246092
- new version 3.29.90

* Mon Jun 11 2018 ovitters <ovitters> 3.29.2-1.mga7
+ Revision: 1236429
- new version 3.29.2

* Thu May 31 2018 ovitters <ovitters> 3.28.3-1.mga7
+ Revision: 1233233
- new version 3.28.3

* Tue May 08 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227630
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216605
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208440
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206765
- new version 3.27.92

* Tue Feb 20 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203556
- new version 3.27.91

* Tue Feb 06 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199308
- new version 3.27.90

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175014
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1162730
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152904
- new version 3.26.0

* Mon Sep 04 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151189
- new version 3.25.92

* Mon Aug 21 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142664
- switch to meson
- new version 3.25.91

* Sat May 27 2017 pterjan <pterjan> 3.24.1-1.mga6
+ Revision: 1105095
- Fix file list
+ ovitters <ovitters>
- new version 3.24.1
- new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065770
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054070
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053998
- new version 3.21.91

* Tue Jun 07 2016 tv <tv> 3.20.2-2.mga6
+ Revision: 1020655
- adjust BRs for latest systemd

* Sat May 07 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010117
- new version 3.20.2

* Fri Apr 08 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999464
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993578
- new version 3.20.0

* Mon Dec 21 2015 tv <tv> 3.19.3-2.mga6
+ Revision: 912824
+ rebuild (emptylog)

* Mon Dec 21 2015 tv <tv> 3.19.3-1.mga6
+ Revision: 912822
- new release

* Fri Nov 27 2015 ovitters <ovitters> 3.18.3.1-1.mga6
+ Revision: 906387
- new version 3.18.3.1

* Fri Nov 06 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 898239
- new version 3.18.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889815
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882730
- new release

* Sat Aug 29 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871088
- new version 3.17.91

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838942
- new version 3.17.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 796744
- new version 3.14.0

* Wed Oct 15 2014 umeabot <umeabot> 3.12.1-4.mga5
+ Revision: 750586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.1-3.mga5
+ Revision: 679716
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 3.12.1-2.mga5
+ Revision: 671889
- Rebuild for new systemd

* Sat Apr 19 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 617098
- new version 3.12.1

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606691
- new version 3.12.0

* Fri Feb 14 2014 dams <dams> 3.11.0-1.mga5
+ Revision: 591416
- new version 3.11.0

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 538115
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 488531
- new version 3.10.0

* Wed Aug 21 2013 fwang <fwang> 3.9.0-1.mga4
+ Revision: 468723
- update file list
- upload tarball
- new version 3.9.0

* Wed May 29 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432863
- new version 3.8.2

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427505
- update file list
- br libnotify
- br gnome-settings-daemon
- br libdvdread
- br libcanberra-gtk3
- fix br,requires for udisks2
- new version 3.8.0

* Wed Jan 23 2013 fwang <fwang> 3.6.1-3.mga3
+ Revision: 391451
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 302612
- new version 3.6.1

* Fri Sep 21 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 296472
- update file list
- new version 3.6.0

* Sat Jul 28 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 275432
- br gnome-common (for upstream patch)
- br gettext-devel (for patch)
- add upstream patch to fix build
- new version 3.5.3
+ fwang <fwang>
- update file list
- disable warnings
- drop req on gnome-keyring
- br secret
- bump br

* Wed Jun 27 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264456
- br libpwquality
- br gnome-keyring-1
- new version 3.5.2

* Sat Apr 21 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 232399
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226676
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.93-1.mga2
+ Revision: 219217
- new version 3.3.93

* Thu Feb 23 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 213560
- new version

* Mon Feb 06 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 205522
- new version 3.3.91
- clean .spec a bit

* Sun Jan 22 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 199526
- fix typo

* Sun Jan 22 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 199517
- fix unexpanded macro
- drop old patch
- cleanup old staff
- update file list
- disable format error for now
- new version 3.3.90

* Sun Jul 10 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 121607
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103295
- Fix buildrequires
- Add libunique3-devel as buildrequires
- Add gnome-common as buildrequires ( spturtle )
- Use %%configure2_5x
- New version 3.0.0
+ pterjan <pterjan>
- Revert to 2.32.0, 2.32.1 needs new libnotify
- Update to 2.32.1

* Sat Jan 15 2011 blino <blino> 2.32.0-1.mga1
+ Revision: 19022
- imported package gnome-disk-utility


* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 578707
- new version
- update file list

* Mon May 03 2010 Pascal Terjan <pterjan@mandriva.org> 2.30.1-2mdv2010.1
+ Revision: 541729
- Fix a crash of gvfs-gdu-volume-monitor on non UTF-8 systems

* Tue Mar 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-1mdv2010.1
+ Revision: 529675
- Release 2.30.1

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 527460
- add conflict for upgrade from 2010.0

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-1mdv2010.1
+ Revision: 521781
- Release 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 517989
- fix package structure:
 * move palimpsest to its own package
 * remove data package
 * library package now depends on main package
- fix description
- fix help and omf file packaging
- enable parallel make

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 517974
- fix devel provides

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 513262
- new version
- update build deps for udisks

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460933
- update to new version 2.28.1

* Sat Sep 19 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 444639
- update build deps
- new version
- bump devicekit-disks dep

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.5-1mdv2010.0
+ Revision: 417613
- Release 0.5
- Requires polkit-agent for authentication

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 395926
- import gnome-disk-utility


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
- port to Mandriva

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 0.4-1%%{?dist}
- Update to release 0.4

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 0.3-1%%{?dist}
- Upstream release 0.3

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.5.20090415git%%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.4.20090412git%%{?dist}
- New snapshot

* Fri Apr 10 2009 Matthias Clasen <mclasen@redhat.com> - 0.3-0.3.20090406git%%{?dist}
- Don't own directories that belong to hicolor-icon-theme

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.2.20090406git%%{?dist}
- Fix bug in detecting when a PolicyKit error is returned (#494787)

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.1.20090406git%%{?dist}
- New snapshot

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 0.2-2%%{?dist}
- Don't crash when changing the LUKS passphrase on a device

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 0.2-1%%{?dist}
- Update to version 0.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.git20080720.2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.2%%{?dist}
- Rebuild for pkgconfig provides

* Sun Nov 23 2008 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.1%%{?dist}
- Improve %%summary and %%description

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 0.1-0.git20080720%%{?dist}
- Initial Packaging
